Count invitations
curl --request GET \
--url https://apix.us.amity.co/api/v1/invitations/count \
--header 'Authorization: Bearer <token>'import requests
url = "https://apix.us.amity.co/api/v1/invitations/count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apix.us.amity.co/api/v1/invitations/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 5
}{
"status": "error",
"code": 400300,
"message": "Forbidden error."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Parameters validation error!."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Invitation
Count invitations
Returns the total count of invitations matching the specified criteria. This endpoint is useful for displaying invitation counts in UI without needing to fetch all invitation data.
GET
/
api
/
v1
/
invitations
/
count
Count invitations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by specific target entity ID
Maximum string length:
900Filter by target entity type
Available options:
community, room Filter invitations by type
Available options:
communityMemberInvite, livestreamCohostInvite Filter invitations by status (array, optional)
Available options:
pending, approved, rejected, cancelled Response
Count invitations response
Total number of invitations matching the criteria
Example:
5